Module | XSD::Mapping
In: | xsd/mapping.rb

### Methods

obj2xml xml2obj

### Constants

MappingRegistry | = | SOAP::Mapping::WSDLLiteralRegistry.new
MappingOpt | = | {:default_encodingstyle => SOAP::LiteralNamespace}

### Public Class methods

obj2xml(obj, elename = nil, io = nil)

[Source]

    # File xsd/mapping.rb, line 23
      def self.obj2xml(obj, elename = nil, io = nil)
        if !elename.nil? and !elename.is_a?(XSD::QName)
          elename = XSD::QName.new(nil, elename)
        end
        elename ||= XSD::QName.new(nil, SOAP::Mapping.name2elename(obj.class.to_s))
        soap = SOAP::Mapping.obj2soap(obj, MappingRegistry)
        soap.elename = elename
        generator = SOAP::SOAPGenerator.new(MappingOpt)
        generator.generate(soap, io)
      end

xml2obj(stream)

[Source]

    # File xsd/mapping.rb, line 34
      def self.xml2obj(stream)
        parser = SOAP::Parser.new(MappingOpt)
        soap = parser.parse(stream)
        SOAP::Mapping.soap2obj(soap, MappingRegistry)
      end

[Validate]